<?php

namespace Tesr\Test1\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Tesr\Test1\Models\Customermaster;

class CustomermasterAction
{
    /**
     * Perform the complete action.
     *
     * @param Customermaster $customermaster
     *
     * @return Customermaster
     */
    public function complete(Customermaster $customermaster)
    {
        try {
            $customermaster->status = 'complete';
            return $customermaster->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Customermaster $customermaster
     *
     * @return Customermaster
     */public function verify(Customermaster $customermaster)
    {
        try {
            $customermaster->status = 'verify';
            return $customermaster->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Customermaster $customermaster
     *
     * @return Customermaster
     */public function approve(Customermaster $customermaster)
    {
        try {
            $customermaster->status = 'approve';
            return $customermaster->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Customermaster $customermaster
     *
     * @return Customermaster
     */public function publish(Customermaster $customermaster)
    {
        try {
            $customermaster->status = 'publish';
            return $customermaster->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Customermaster $customermaster
     *
     * @return Customermaster
     */
    public function archive(Customermaster $customermaster)
    {
        try {
            $customermaster->status = 'archive';
            return $customermaster->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Customermaster $customermaster
     *
     * @return Customermaster
     */
    public function unpublish(Customermaster $customermaster)
    {
        try {
            $customermaster->status = 'unpublish';
            return $customermaster->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
