<?php

namespace Tesr\Test1\Workflow;

use Tesr\Test1\Models\Customermaster;
use Tesr\Test1\Notifications\CustomermasterWorkflow as CustomermasterNotifyer;
use Notification;

class CustomermasterNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Customermaster $customermaster
     *
     * @return void
     */
    public function complete(Customermaster $customermaster)
    {
        return Notification::send($customermaster->user, new CustomermasterNotifyer($customermaster, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Customermaster $customermaster
     *
     * @return void
     */
    public function verify(Customermaster $customermaster)
    {
        return Notification::send($customermaster->user, new CustomermasterNotifyer($customermaster, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Customermaster $customermaster
     *
     * @return void
     */
    public function approve(Customermaster $customermaster)
    {
        return Notification::send($customermaster->user, new CustomermasterNotifyer($customermaster, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Customermaster $customermaster
     *
     * @return void
     */
    public function publish(Customermaster $customermaster)
    {
        return Notification::send($customermaster->user, new CustomermasterNotifyer($customermaster, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Customermaster $customermaster
     *
     * @return void
     */
    public function archive(Customermaster $customermaster)
    {
        return Notification::send($customermaster->user, new CustomermasterNotifyer($customermaster, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Customermaster $customermaster
     *
     * @return void
     */
    public function unpublish(Customermaster $customermaster)
    {
        return Notification::send($customermaster->user, new CustomermasterNotifyer($customermaster, 'unpublish'));;

    }
}
